package com.rshy.project.hy.manager;

import com.rshy.project.hy.server.param.RshyParam;
import com.rshy.project.hy.server.param.RshyQuickParam;
import com.rshy.project.hy.server.vo.RshyVo;

import java.util.concurrent.Future;

/**
 * @author: lileilei
 * @date: 2022/4/23 20:12
 * @description:
 */
public interface RshyJkManager {
    /**
     * 普通核验模式
     *
     * @param rshyParam 核验参数
     * @return
     */
    Future<RshyVo> getRshyInfo(RshyParam rshyParam);

    /**
     * 人脸快速核验模式
     *
     * @param rshyQuickParam 核验参数
     * @return
     */
    RshyVo getQuickRyhyInfo(RshyQuickParam rshyQuickParam);
}
