package com.rshy.project.hy.server.vo;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author: lileilei
 * @date: 2022/4/20 11:20
 * @description:
 */
@Data
@Accessors(chain = true)
public class RetrievalRepositoryVO {
    /**
     * 人脸库id
     */
    private String repository_id;
    /**
     * 人脸图id
     */
    private String face_image_id;
    /**
     * 人脸图 uri, 可以通过取图接口拿图
     */
    private String face_image_uri;
    /**
     * 入库图片(场景图)的 uri, 可以通过取图接口拿图
     */
    private String picture_uri;
    /**
     * 相似度
     */
    private Double similarity;
    /**
     * 图片入库时间
     */
    private Integer timestamp;
    /**
     * 身份证号码
     */
    private String personId;
    /**
     * 姓名
     */
    private String name;
    /**
     * 1 是男，2 是女，0 是未知
     */
    private Integer gender;
    /**
     * 民族, 见民族列表
     * <p>
     * , 0 表示未知
     */
    private Integer nation;
    /**
     * 出生年份
     */
    private Integer born_year;
}
