package com.rshy.project.hy.config.properties;

import com.rshy.project.hy.server.dto.PcthsQueryDTO;
import com.rshy.project.hy.server.param.AgentApiParam;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author: lileilei
 * @date: 2022/4/23 22:19
 * @description: 核酸接口配置
 */
@Data
@Accessors(chain = true)
@Configuration
@ConfigurationProperties(prefix = "itfw.pcths")
public class PcthsProperties extends AgentApiParam {
    private ItfwApiHeader header;

    private PcthsQueryDTO query;
}
