package com.rshy.project.hy.config.properties;

import com.rshy.project.hy.server.dto.PctzjzpBodyDTO;
import com.rshy.project.hy.server.param.AgentApiParam;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * Created by fanqun on 2022/5/6.
 */
@Data
@Accessors(chain = true)
@Configuration
@ConfigurationProperties(prefix = "itfw.pctzjzp")
public class PctzjzpProperties extends AgentApiParam {
    private ItfwApiHeader header;
    private PctzjzpBodyDTO body;
}
