package com.rshy.project.hy.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lileilei
 * @date: 2022/4/30 16:04
 * @description:
 */
@Getter
@AllArgsConstructor
public enum NucleicAcidEnum {
    CONFORM(1, "72h内已采样"),
    SAMPLING(1, "72h内已采样"),
    NOT_CONFORM(0, "72h内未采样"),
    NO_SAMPLING(0, "72h内未采样"),
    NO_DATA(0, "无核酸数据"),
    NO_DATA_TIME(0, "无核酸采样时间数据");

    private Integer code;

    private String desc;
}
